### Method

# Gimp Procedure set_documentation

#### Declaration [src]

    void
    gimp_procedure_set_documentation (
      GimpProcedure* procedure,
      const gchar* blurb,
      const gchar* help,
      const gchar* help_id
    )

#### Description [src]

`blurb` is used as the `procedure`‘s tooltip when represented in the UI, for example as a menu entry.

For translations of tooltips to work properly, `blurb` should only be marked for translation but passed to this function untranslated, for example using N_(“Blurb”). GIMP will look up the translation in the textdomain registered for the plug-in.

`help` is a free-form text that’s meant as documentation for developers of scripts and plug-ins.

Sets various documentation strings on `procedure`.

Available since: | 3.0

#### Parameters

`blurb` | `const gchar*`
| The `procedure`‘s blurb.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`help` | `const gchar*`
| The `procedure`‘s help text.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`help_id` | `const gchar*`
| The `procedure`‘s help ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.